org.h2.mvstore.db

## Class LobStorageMap.BlobMeta.Type

- java.lang.Object
- - org.h2.mvstore.type.BasicDataType<LobStorageMap.BlobMeta>
  - - org.h2.mvstore.db.LobStorageMap.BlobMeta.Type

All Implemented Interfaces:
  java.util.Comparator<LobStorageMap.BlobMeta>, DataType<LobStorageMap.BlobMeta>

Enclosing class:
  LobStorageMap.BlobMeta

    public static final class LobStorageMap.BlobMeta.Type
    extends BasicDataType<LobStorageMap.BlobMeta>

### Field Summary

Fields
`static LobStorageMap.BlobMeta.Type` `INSTANCE`

### Method Summary

All Methods Instance Methods Concrete Methods
`LobStorageMap.BlobMeta[]` `createStorage(int size)` Create storage object of array type to hold values
`int` `getMemory(LobStorageMap.BlobMeta blobMeta)` Calculates the amount of used memory in bytes.
`LobStorageMap.BlobMeta` `read(java.nio.ByteBuffer buff)` Read an object.
`void` `write(WriteBuffer buff, LobStorageMap.BlobMeta blobMeta)` Write an object.

### Methods inherited from class org.h2.mvstore.type.BasicDataType

`binarySearch, cast, compare, equals, hashCode, isMemoryEstimationAllowed, read, write`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Field Detail

#### INSTANCE

    public static final LobStorageMap.BlobMeta.Type INSTANCE

### Method Detail

#### getMemory

    public int getMemory(LobStorageMap.BlobMeta blobMeta)

Description copied from interface: `DataType`
Calculates the amount of used memory in bytes.

Specified by:
  `getMemory` in interface `DataType<LobStorageMap.BlobMeta>`
Specified by:
  `getMemory` in class `BasicDataType<LobStorageMap.BlobMeta>`
Parameters:
  `blobMeta` - the object
Returns:
  the used memory

#### write

    public void write(WriteBuffer buff,
                      LobStorageMap.BlobMeta blobMeta)

Description copied from interface: `DataType`
Write an object.

Specified by:
  `write` in interface `DataType<LobStorageMap.BlobMeta>`
Specified by:
  `write` in class `BasicDataType<LobStorageMap.BlobMeta>`
Parameters:
  `buff` - the target buffer
  `blobMeta` - the value

#### read

    public LobStorageMap.BlobMeta read(java.nio.ByteBuffer buff)

Description copied from interface: `DataType`
Read an object.

Specified by:
  `read` in interface `DataType<LobStorageMap.BlobMeta>`
Specified by:
  `read` in class `BasicDataType<LobStorageMap.BlobMeta>`
Parameters:
  `buff` - the source buffer
Returns:
  the object

#### createStorage

    public LobStorageMap.BlobMeta[] createStorage(int size)

Description copied from interface: `DataType`
Create storage object of array type to hold values

Parameters:
  `size` - number of values to hold
Returns:
  storage object